%define debug_package %{nil}

Name:           ocaml-json-static
Version:        0.9.8
Release:        %mkrel 14
Summary:        OCaml JSON validator and converter (syntax extension)
License:        BSD
Group:          Development/OCaml
URL:            http://martin.jambon.free.fr/json-static.html
Source0:        http://martin.jambon.free.fr/json-static-%{version}.tar.bz2
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-camlp4-devel

# Make this dependency explicit because users won't be able
# to do much useful without it, and the automatic dependency
# checking script cannot pick it up.
Requires:       ocaml-json-wheel

%description
json-static is a tool for converting parsed JSON data with an
unchecked structure into specialized OCaml types and vice-versa.
It is a complement to the json-wheel library which provides a
parser and a (pretty-) printer.

Json-static is now deprecated. Do not use it in new projects.
It has been replaced by Atdgen.

%prep
%setup -q -n json-static-%{version}

%build
make

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install

%files
%doc LICENSE README Changes yahoo.ml
%{_libdir}/ocaml/json-static


%changelog
* Thu Nov 24 2016 neoclust <neoclust> 0.9.8-14.mga6
+ Revision: 1069774
- Rebuild against fixed ocaml

* Mon Sep 26 2016 pterjan <pterjan> 0.9.8-13.mga6
+ Revision: 1056393
- Rebuild for fix in ocaml

* Fri Feb 12 2016 umeabot <umeabot> 0.9.8-12.mga6
+ Revision: 956727
- Mageia 6 Mass Rebuild

* Tue Oct 20 2015 tv <tv> 0.9.8-11.mga6
+ Revision: 893123
- disable debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 0.9.8-10.mga5
+ Revision: 746234
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.8-9.mga5
+ Revision: 683051
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.8-8.mga4
+ Revision: 508464
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.9.8-7.mga3
+ Revision: 361414
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 blue_prawn <blue_prawn> 0.9.8-6.mga3
+ Revision: 319823
- deprecated
- deprecated

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.9.8-5.mga3
+ Revision: 301602
- rebuild for ocaml 4.00
- new rpm group for ocaml

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.9.8-4.mga3
+ Revision: 301425
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sun Oct 02 2011 fwang <fwang> 0.9.8-2.mga3
+ Revision: 150911
- rebuild for new ocaml

* Fri Apr 08 2011 ennael <ennael> 0.9.8-1.mga1
+ Revision: 82386
- clean spec file
- imported package ocaml-json-static


* Fri Sep 04 2009 Florent Monnier <blue_prawn@mandriva.org> 0.9.8-1mdv2010.0
+ Revision: 430879
- new version

* Tue Aug 25 2009 Florent Monnier <blue_prawn@mandriva.org> 0.9.7-1mdv2010.0
+ Revision: 420694
- update to new version 0.9.7

* Sun Jun 28 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.6-3mdv2010.0
+ Revision: 390243
- rebuild

* Sat Jun 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.6-2mdv2010.0
+ Revision: 390086
- rebuild

* Tue Jan 27 2009 Florent Monnier <blue_prawn@mandriva.org> 0.9.6-1mdv2009.1
+ Revision: 334593
- corrected group
- import ocaml-json-static


* Tue Jan 27 2009 Florent Monnier <fmonnier@linux-nantes.org> 0.9.6-1mdv
- Initial RPM release made from the fedora rpm .spec file (revision 1.4) by Richard W.M. Jones
  found there: http://cvs.fedoraproject.org/viewvc/devel/ocaml-json-wheel/ocaml-json-wheel.spec
